package com.hzya.frame.sysnew.menuConfig.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 系统菜单表(SysMenuConfig)实体类
 *
 * @author makejava
 * @since 2024-03-26 15:23:52
 */
public class SysMenuConfigEntity extends BaseEntity {

    /**
     * 上级菜单ID（0表示无上级）
     */
    private String parentMenuId;
    /**
     * 上级菜单
     */
    private String parentMenuName;
    /**
     * 菜单名称
     */
    private String menuName;
    /**
     * 菜单英文名称
     */
    private String menuEnglishName;
    /**
     * 图标样式
     */
    private String menuIcon;
    /**
     * 页面路由
     */
    private String route;
    /**
     * 页面
     */
    private String menuPage;
    /**
     * 备注
     */
    private String remark;
    /**
     *  状态: 0启用 1 停用
     */
    private String visibles;
    /**
     * 显示类型（1、菜单2、弹窗）
     */
    private String showType;
    /**
     * 公司id
     */
    private String companyId;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 是否选中
     */
    private boolean check;
    private String label;
    /** 表单ID */
    private String formId;
    /** options */
    private String options;
    //子级
    private List<SysMenuConfigEntity> children;
    public String getParentMenuId() {
        return parentMenuId;
    }

    public void setParentMenuId(String parentMenuId) {
        this.parentMenuId = parentMenuId;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getMenuEnglishName() {
        return menuEnglishName;
    }

    public void setMenuEnglishName(String menuEnglishName) {
        this.menuEnglishName = menuEnglishName;
    }

    public String getMenuIcon() {
        return menuIcon;
    }

    public void setMenuIcon(String menuIcon) {
        this.menuIcon = menuIcon;
    }

    public String getRoute() {
        return route;
    }

    public void setRoute(String route) {
        this.route = route;
    }

    public String getMenuPage() {
        return menuPage;
    }

    public void setMenuPage(String menuPage) {
        this.menuPage = menuPage;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getVisibles() {
        return visibles;
    }

    public void setVisibles(String visibles) {
        this.visibles = visibles;
    }

    public String getShowType() {
        return showType;
    }

    public void setShowType(String showType) {
        this.showType = showType;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }


    public List<SysMenuConfigEntity> getChildren() {
        return children;
    }

    public void setChildren(List<SysMenuConfigEntity> children) {
        this.children = children;
    }

    public boolean isCheck() {
        return check;
    }

    public void setCheck(boolean check) {
        this.check = check;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getParentMenuName() {
        return parentMenuName;
    }

    public void setParentMenuName(String parentMenuName) {
        this.parentMenuName = parentMenuName;
    }

    public String getOptions() {
        return options;
    }

    public void setOptions(String options) {
        this.options = options;
    }

    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }
}

